Tags
Tag a conversation. You may only use active tags to tag conversations.
ApiKeyAuth conversation.tagAuthorization<token>Scope: conversation.tag
conversationId*integerint64tagId*stringuuidThe conversation was successfully tagged
curl -X PUT 'https://dev.dixa.io/v1/conversations/{conversationId}/tags/{tagId}' \ -H 'Authorization: <API token>'Empty
Untag a conversation. You may remove active or inactive tags from a conversation.
ApiKeyAuth conversation.tagAuthorization<token>Scope: conversation.tag
conversationId*integerint64tagId*stringuuidThe conversation was successfully untagged
curl -X DELETE 'https://dev.dixa.io/v1/conversations/{conversationId}/tags/{tagId}' \ -H 'Authorization: <API token>'Empty
Initiate bulk tag of a conversation and process it asynchronously. If a tag with corresponding name does not exist it will be created.
ApiKeyAuth conversation.tagAuthorization<token>Scope: conversation.tag
conversationId*integerint64The list of tags to add to a conversation
application/json- body
data?array<>The conversation bulk tag was initiated
curl -X POST 'https://dev.dixa.io/v1/conversations/{conversationId}/tags/bulk' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "data": [ { "name": "Example #1" }, { "name": "Example #2" } ]}'Empty
Get the tags for a particular conversation by providing the conversation id.
ApiKeyAuthAuthorization<token>conversationId*integerint64List of tags for a conversation
application/json- response
data?array<>curl -X GET 'https://dev.dixa.io/v1/conversations/{conversationId}/tags' \ -H 'Authorization: <API token>'List all tags in an organization. Only active tags are returned by default. To include deactivated tags use ?includeDeactivated=true.
ApiKeyAuthAuthorization<token>includeDeactivated?booleanWhether to include deactivated tags in the response. If not provided, only active tags are listed.
falseThe list of all tags in an organization
application/json- response
data?array<>curl -X GET 'https://dev.dixa.io/v1/tags' \ -H 'Authorization: <API token>'Create a tag.
ApiKeyAuth settings.tagAuthorization<token>Scope: settings.tag
The tag details
application/json- body
name*stringcolor?stringThe created tag or an existing tag with the same name. Note that the tag is not updated to match the input in case it already exists.
application/json- response
data*curl -X POST 'https://dev.dixa.io/v1/tags' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "name": "test", "color": "#000000"}'Get a tag by id.
ApiKeyAuthAuthorization<token>tagId*stringuuidThe tag
application/json- response
data*curl -X GET 'https://dev.dixa.io/v1/tags/{tagId}' \ -H 'Authorization: <API token>'Deletes the tag and all its associations. Note that this operation is irreversible.
ApiKeyAuth settings.tagAuthorization<token>Scope: settings.tag
tagId*stringThe tag id
uuidThe tag was successfully deleted
curl -X DELETE 'https://dev.dixa.io/v1/tags/{tagId}' \ -H 'Authorization: <API token>'Empty
Deactivate a tag.
ApiKeyAuth settings.tagAuthorization<token>Scope: settings.tag
tagId*stringThe tag id
uuidThe tag was successfully deactivated
curl -X PATCH 'https://dev.dixa.io/v1/tags/{tagId}/deactivate' \ -H 'Authorization: <API token>'Empty
Activate a tag.
ApiKeyAuth settings.tagAuthorization<token>Scope: settings.tag
tagId*stringThe tag id
uuidThe tag was successfully activated
curl -X PATCH 'https://dev.dixa.io/v1/tags/{tagId}/activate' \ -H 'Authorization: <API token>'Empty